PROGRAM Compute_Growth
  USE cosmo
  USE growth
  ! A sample program for computing the linear growth factor and its derivative
  ! August 23, 2008: E.Komatsu
  IMPLICIT none
  integer :: j
  double precision :: g,dgdlna,z
  external g,dgdlna
! specify three cosmological parameters
  ode0=0.723d0
  om0=0.277d0
  w=-1d0
! tabulate g(z) by calling "setup_growth"
  call setup_growth
! now output g(z) and dg/dlna(z) as a function of z...
  open(1,file='redshift_g.txt')
  open(2,file='redshift_dgdlna.txt')
  z=0d0
  do j=1,10000
     write(1,'(2F18.8)')z,g(z)
     write(2,'(2F18.8)')z,dgdlna(z)
     z = z+0.01d0
  enddo
  close(1)
  close(2)
  stop
END PROGRAM Compute_Growth
